Bug 995245 - error in plain-tex.el
error in plain-tex.el
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs-auctex (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 16:06 EDT by Art Werschulz
Modified: 2014-03-11 00:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: emacs-auctex-11.87-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 00:14:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Art Werschulz 2013-08-08 16:06:54 EDT
Description of problem:
When visiting a plain TeX file, get the error trace
Debugger entered--Lisp error: (void-variable latex-mode-abbrev-table)
  plain-TeX-common-initialization()
  plain-tex-mode()
  tex-mode()
  set-auto-mode-0(tex-mode nil)
  set-auto-mode()
  normal-mode(t)
  after-find-file(nil temacs-auctex-11.87-3.fc19.noarch)

Version-Release number of selected component (if applicable):
emacs-auctex-11.87-3.fc19.noarchemacs-auctex-11.87-3.fc19.noarch

How reproducible:
Simply visit a plain TeX file.

Steps to Reproduce:
1. Start emacs (making sure that AUCTeX is being used for editing TeX files).
2. Visit a plain TeX file.
3. Get the error msg shown above.

Actual results:
See above.

Expected results:
The plain TeX file should be visited without incident.

Additional info:
As per http://tex.stackexchange.com/questions/115870/void-variable-latex-mode-abbrev-table, this has been fixed in the development version.  Simply change  line 145 of plain-tex.el from
   (setq local-abbrev-table latex-mode-abbrev-table)
to
   (setq local-abbrev-table plain-tex-mode-abbrev-table)
You'll also need to issue M-x byte-compile-file on that file.
Comment 1 Walter Neumann 2014-02-26 18:25:44 EST
Still not fixed in emacs-auctex.noarch 0:11.87-7.fc20 . Every time fedora upgrades emacs-auctex I have to fix this by hand.
Comment 2 Fedora Update System 2014-03-01 07:29:52 EST
emacs-auctex-11.87-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/emacs-auctex-11.87-8.fc20
Comment 3 Fedora Update System 2014-03-01 07:30:52 EST
emacs-auctex-11.87-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/emacs-auctex-11.87-8.fc19
Comment 4 Fedora Update System 2014-03-01 22:41:46 EST
Package emacs-auctex-11.87-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-auctex-11.87-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3317/emacs-auctex-11.87-8.fc20
then log in and leave karma (feedback).
Comment 5 Walter Neumann 2014-03-02 23:13:25 EST
Just updated to the updates-testing version. It fixes the problem. Thanks.
Comment 6 Jonathan Underwood 2014-03-03 09:54:09 EST
Thanks for testing - can you also add a positive  note on the updates system:

https://admin.fedoraproject.org/updates/emacs-auctex-11.87-8.fc20
Comment 7 Fedora Update System 2014-03-11 00:14:05 EDT
emacs-auctex-11.87-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-03-11 00:20:20 EDT
emacs-auctex-11.87-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.